-- This information tells other players more about the mod
name = "Dominik"
description = "Changes for Shira and eNBeWe"
author = "Shira"
version = "0.1"

-- icon_atlas = "spoilageChangesIconAtlas.xml"
-- icon = "spoilageChangesIcon.tex"

forumthread = ""

-- This lets other players know if your mod is out of date, update it to match the current version in the game
api_version_dst = 10
priority = 0

-- Only compatible with DST
dont_starve_compatible = false
reign_of_giants_compatible = false
shipwrecked_compatible = false
dst_compatible = true


--This lets clients know if they need to get the mod from the Steam Workshop to join the game
all_clients_require_mod = false

--This determines whether it causes a server to be marked as modded (and shows in the mod list)
client_only_mod = false

-- https://steamcommunity.com/sharedfiles/filedetails/?id=2191732916 Spoilage Tweaks: Seeds by TequilaSeLai
-- https://steamcommunity.com/sharedfiles/filedetails/?id=1578269972 Spoilage Tweaks: Jerky by TequilaSeLai
-- https://steamcommunity.com/sharedfiles/filedetails/?id=2559921206 Spoilage Tweaks: Honey by TequilaSeLai
-- https://steamcommunity.com/sharedfiles/filedetails/?id=399726269 Seed Balance by Hiddigeigei
-- https://steamcommunity.com/sharedfiles/filedetails/?id=2915069324 Player Damage Taken Modifier by Swaggy
-- fireproof structures 1842845837


configuration_options =
{
	{
		name = "honey_spoilage",
		label = "Honey spoilage",
		hover = "Set the spoilage rate of honey",
		options =	{
                        {description = "Default DST rate", data = -1, hover = "mod disabled"},
                        {description = "Realistic", data = 0, hover = "Honey lasts forever."},
					},
		default = 0,
	},
    {
		name = "meat_dried_spoilage",
		label = "Jerky spoilage",
		hover = "Set the spoilage rate for jerky",
		options =	{
                        {description = "Normal DST rate", data = -1, hover = "mod disabled (Base 20 days)"},
                        {description = "Year", data = 0, hover = "Jerky takes 81 days to spoil"},
                        {description = "None", data = 1, hover = "Jerky lasts forever."},
					},
		default = 0,
	},
	{
		name = "smallmeat_dried_spoilage",
		label = "Small jerky spoilage",
		hover = "Set the spoilage rate for small jerky",
		options =	{
                        {description = "Normal DST rate", data = -1, hover = "mod disabled (Base 20 days)"},
                        {description = "Year", data = 0, hover = "Jerky takes 81 days to spoil"},
                        {description = "none", data = 1, hover = "Jerky lasts forever."},
					},
		default = 0,
	},
	{
		name = "monstermeat_dried_spoilage",
		label = "Monster jerky spoilage",
		hover = "Set the spoilage rate for monster jerky",
		options =	{
					{description = "Normal DST rate", data = -1, hover = "The usual spoilage rate. (Base 20 days)"},
                    {description = "Year", data = 0, hover = "Jerky takes 81 days to spoil"},
					{description = "None", data = 1, hover = "Jerky lasts forever."},
					},
		default = 0,
	},
    {
		name = "kelp_dried_spoilage",
		label = "Dried kelp spoilage",
		hover = "Set the spoilage rate for dried kelp",
		options =	{
					{description = "Normal DST rate", data = -1, hover = "The usual spoilage rate. (Base 20 days)"},
                    {description = "Year", data = 0, hover = "Jerky takes 81 days to spoil"},
					{description = "None", data = 1, hover = "Jerky lasts forever."},
					},
		default = 0,
	},
    {
		name = "seed_spoilage",
		label = "Seed spoilage",
		hover = "Set the spoilage rate for seeds.",
		options =	{
                        {description = "Normal DST rate", data = -1, hover = "mod disabled (Base 40 days)"},
                        {description = "None", data = 0, hover = "Seeds last forever."},
					},
		default = 0,
	},
	{
		name = "birchnut_spoilage",
		label = "Birchnut spoilage",
		hover = "Set the spoilage rate for uncooked birchnuts.",
		options =	{
                        {description = "Normal DST rate", data = -1, hover = "mod disabled (Base 20 days)"},
                        {description = "None", data = 0, hover = "Birchnuts last forever."},
					},
		default = 0,
	},
    {
		name = "trailmix_spoilage",
		label = "Trailmix spoilage",
		hover = "Set the spoilage rate for trailmix",
		options =	{
                        {description = "Normal DST rate", data = -1, hover = "mod disabled (Base 15 days)"},
                        {description = "Year", data = 0, hover = "Trailmix takes 81 days to spoil"},
                        {description = "none", data = 1, hover = "Trailmix lasts forever."},
					},
		default = 0,
	},
    {
		name = "jammypreserves_spoilage",
		label = "Jam spoilage",
		hover = "Set the spoilage rate for fist full of jam",
		options =	{
                        {description = "Normal DST rate", data = -1, hover = "mod disabled (Base 15 days)"},
                        {description = "Year", data = 0, hover = "Jam takes 81 days to spoil"},
                        {description = "none", data = 1, hover = "Jam lasts forever."},
					},
		default = 0,
	},
    {
		name = "garlic_spoilage",
		label = "Garlic spoilage",
		hover = "Set the spoilage rate for garlic",
		options =	{
                        {description = "Normal DST rate", data = -1, hover = "mod disabled (Base 15 days)"},
                        {description = "Half-Year", data = 0, hover = "Garlic takes 40 days to spoil"},
                        {description = "none", data = 1, hover = "Garlic lasts forever."},
					},
		default = 0,
	},
    {
		name = "onion_spoilage",
		label = "Onion spoilage",
		hover = "Set the spoilage rate for onions",
		options =	{
                        {description = "Normal DST rate", data = -1, hover = "mod disabled (Base 15 days)"},
                        {description = "Half-Year", data = 0, hover = "Onion takes 40 days to spoil"},
                        {description = "none", data = 1, hover = "Onion lasts forever."},
					},
		default = 0,
	},
    {
		name = "taffy_spoilage",
		label = "Taffy spoilage",
		hover = "Set the spoilage rate for taffy",
		options =	{
                        {description = "Normal DST rate", data = -1, hover = "mod disabled (Base 15 days)"},
                        {description = "Year", data = 0, hover = "Taffy takes 81 days to spoil"},
                        {description = "none", data = 1, hover = "Taffy lasts forever."},
					},
		default = 0,
	},

    -- ice 3 days default
    -- seeds_cooked 10 days default
    -- acorn_cooked 6 days default
    -- icecream 3 days default
    -- watermelonicle 3 days default
    -- pumpkincookie 10 days default

	{
        name = "min_bird_seeds",
		label = "Min. fruit seeds",
		options = 
		{
			{description = "default (1)", data = 1},
			{description = "modded (2)", data = 2},
		},
		default = 2,
	},
    {
        name = "max_bird_seeds",
		label = "Max. fruit seeds",
		options = 
		{
			{description = "default (2)", data = 2},
			{description = "modded (3)", data = 3},
		},
		default = 3,
	},
	{
		name = "pc_dmg_taken_mod",
		label = "Player damage taken modifier",
		hover = "Choose multiplier to damage. 1 is standard",
		options = {
			{description = 0.25, data = 0.25},
			{description = 0.5, data = 0.5},
			{description = 0.75, data = 0.75},
			{description = 1.0, data = 1.0},
		}, 
		default = 0.5
	}
}
